
QGIS Application - Bug report #20791

On the fly geometry validation doesn't work and causes QGIS to not respond

2018-12-12 04:42 PM - Antonio Viscomi

Status: Open

Priority: High

Assignee:

Category: Geometry

Affected QGIS version:3.5(master) Regression?: No

Operating System: windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28611

Description

I attached 2screencasts here, data and project are attached to #20789

Related issues:

Duplicates QGIS Application - Bug report # 20789: Check Geometries causes cra... Closed 2018-12-12

History

#1 - 2018-12-17 10:47 AM - Jürgen Fischer

- Description updated

#2 - 2018-12-17 10:47 AM - Jürgen Fischer

- Duplicates Bug report #20789: Check Geometries causes crash on 3.4.2 and Master  added

#3 - 2018-12-17 10:47 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate

#4 - 2018-12-17 01:26 PM - Antonio Viscomi

- Status changed from Closed to Reopened

Hi Jurgen, 

Sorry but this issue appear on "on the fly" validator, not on "check geometries"...

and it still present on 1ff3ddc61c (today Master)

then I think it is not a duplicate solution

Regards

#5 - 2019-01-09 10:05 AM - Antonio Viscomi

Antonio Viscomi wrote:

Hi Jurgen, 

Sorry but this issue appear on "on the fly" validator, not on "check geometries"...

and it still present on 1ff3ddc61c (today Master)

then I think it is not a duplicate solution
Regards

Hi all,

this issue still affects 3.4.3 https://github.com/qgis/QGIS/commit/a1ea80047a and Master  https://github.com/qgis/QGIS/commit/48db864836 (that are

Yesterday releases)

and It is related to "Geometry Validation" (real time validator in editing session) not on "Check Geometries" tool

Greetings

#6 - 2019-01-09 10:27 AM - Antonio Viscomi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Hi Jurgen, 

Sorry but this issue appear on "on the fly" validator, not on "check geometries"...

and it still present on 1ff3ddc61c (today Master)

then I think it is not a duplicate solution

Regards

Hi all,

this issue still affects 3.4.3 https://github.com/qgis/QGIS/commit/a1ea80047a and Master  https://github.com/qgis/QGIS/commit/48db864836 (that

are Yesterday releases)

and It is related to "Geometry Validation" (real time validator in editing session) not on "Check Geometries" tool

Greetings

Moreover while validation geometry try to do something and QGIS do not respond, CPU usage by QGIS is 0% and RAM usage is static to 360968KB,

also on today (https://github.com/qgis/QGIS/commit/dada301b0b) release of Master...

#7 - 2019-01-09 10:54 AM - Giovanni Manghi

- Subject changed from Geometries validation doon't works in QGIS Master an 3.2.4, and causes QGIS do not respond to On the fly geometry validation 

doesn't't works and causes QGIS to not respond

- Status changed from Reopened to Open

- Crashes QGIS or corrupts data changed from No to Yes

- Resolution deleted (duplicate)

#8 - 2019-01-09 01:15 PM - Jürgen Fischer

- Subject changed from On the fly geometry validation doesn't't works and causes QGIS to not respond to On the fly geometry validation doesn't work 

and causes QGIS to not respond

Files

Topology21.mp4 2.58 MB 2018-12-12 Antonio Viscomi

Topology22.mp4 4.21 MB 2018-12-12 Antonio Viscomi
